Package com.sap.ai.sdk.core.model

# Class BckndTenant

java.lang.Object
com.sap.ai.sdk.core.model.BckndTenant

public class BckndTenant extends Object
BckndTenant

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `BckndTenant()`
  Default constructor for BckndTenant.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static BckndTenant`
  `create()`
  Create a new `BckndTenant` instance.
  `boolean`
  `equals(Object o)`
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `BckndTenant`.
  `String`
  `getRealSubaccountId()`
  real sub account id
  `String`
  `getServicePlan()`
  service plan
  `String`
  `getTenantId()`
  tenant id
  `String`
  `getZoneId()`
  zone id
  `int`
  `hashCode()`
  `BckndTenant`
  `realSubaccountId(String realSubaccountId)`
  Set the realSubaccountId of this `BckndTenant` instance and return the same instance.
  `BckndTenant`
  `servicePlan(String servicePlan)`
  Set the servicePlan of this `BckndTenant` instance and return the same instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `BckndTenant` instance.
  `void`
  `setRealSubaccountId(String realSubaccountId)`
  Set the realSubaccountId of this `BckndTenant` instance.
  `void`
  `setServicePlan(String servicePlan)`
  Set the servicePlan of this `BckndTenant` instance.
  `void`
  `setTenantId(String tenantId)`
  Set the tenantId of this `BckndTenant` instance.
  `void`
  `setZoneId(String zoneId)`
  Set the zoneId of this `BckndTenant` instance.
  `BckndTenant`
  `tenantId(String tenantId)`
  Set the tenantId of this `BckndTenant` instance and return the same instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `BckndTenant` instance including unrecognized properties.
  `String`
  `toString()`
  `BckndTenant`
  `zoneId(String zoneId)`
  Set the zoneId of this `BckndTenant` instance and return the same instance.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### BckndTenant

    protected BckndTenant()
    Default constructor for BckndTenant.

- ## Method Details

  - ### tenantId

    @Nonnull public BckndTenant tenantId(@Nullable String tenantId)
    Set the tenantId of this `BckndTenant` instance and return the same instance.
    Parameters:
      `tenantId` - tenant id
    Returns:
      The same instance of this `BckndTenant` class

  - ### getTenantId

    @Nonnull public String getTenantId()
    tenant id
    Returns:
      tenantId The tenantId of this `BckndTenant` instance.

  - ### setTenantId

    public void setTenantId(@Nullable String tenantId)
    Set the tenantId of this `BckndTenant` instance.
    Parameters:
      `tenantId` - tenant id

  - ### zoneId

    @Nonnull public BckndTenant zoneId(@Nullable String zoneId)
    Set the zoneId of this `BckndTenant` instance and return the same instance.
    Parameters:
      `zoneId` - zone id
    Returns:
      The same instance of this `BckndTenant` class

  - ### getZoneId

    @Nonnull public String getZoneId()
    zone id
    Returns:
      zoneId The zoneId of this `BckndTenant` instance.

  - ### setZoneId

    public void setZoneId(@Nullable String zoneId)
    Set the zoneId of this `BckndTenant` instance.
    Parameters:
      `zoneId` - zone id

  - ### realSubaccountId

    @Nonnull public BckndTenant realSubaccountId(@Nullable String realSubaccountId)
    Set the realSubaccountId of this `BckndTenant` instance and return the same instance.
    Parameters:
      `realSubaccountId` - real sub account id
    Returns:
      The same instance of this `BckndTenant` class

  - ### getRealSubaccountId

    @Nonnull public String getRealSubaccountId()
    real sub account id
    Returns:
      realSubaccountId The realSubaccountId of this `BckndTenant` instance.

  - ### setRealSubaccountId

    public void setRealSubaccountId(@Nullable String realSubaccountId)
    Set the realSubaccountId of this `BckndTenant` instance.
    Parameters:
      `realSubaccountId` - real sub account id

  - ### servicePlan

    @Nonnull public BckndTenant servicePlan(@Nullable String servicePlan)
    Set the servicePlan of this `BckndTenant` instance and return the same instance.
    Parameters:
      `servicePlan` - service plan
    Returns:
      The same instance of this `BckndTenant` class

  - ### getServicePlan

    @Nonnull public String getServicePlan()
    service plan
    Returns:
      servicePlan The servicePlan of this `BckndTenant` instance.

  - ### setServicePlan

    public void setServicePlan(@Nullable String servicePlan)
    Set the servicePlan of this `BckndTenant` instance.
    Parameters:
      `servicePlan` - service plan

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `BckndTenant`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `BckndTenant` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `BckndTenant` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `BckndTenant` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static BckndTenant create()
    Create a new `BckndTenant` instance. No arguments are required.